import Barco, { BarcoTipo } from "./Barco.js";
import Mapa from "./Mapa.js";

class PartidaBattle {
  constructor(canvasAtaque, canvasFlota) {
    this.canvasAtaque = canvasAtaque;
    this.canvasFloat = canvasFlota;
    this.mapaAtaque = new Mapa(canvasAtaque, 640, 1);
    this.mapaFlota = new Mapa(canvasFlota, 320, .5 );
    this.mapaAtaque.setBarcos([
      new Barco(0, 0, BarcoTipo.PORTAAVIONES, "VERTICAL"),
      new Barco(1, 0, BarcoTipo.ACORAZADO, "VERTICAL"),
      new Barco(2, 0, BarcoTipo.ACORAZADO, "VERTICAL"),
      new Barco(3, 0, BarcoTipo.ACORAZADO, "VERTICAL"),
      new Barco(4, 0, BarcoTipo.DESTRUCTOR, "VERTICAL"),
      new Barco(5, 0, BarcoTipo.DESTRUCTOR, "VERTICAL"),
      new Barco(6, 0, BarcoTipo.DESTRUCTOR, "VERTICAL"),
      new Barco(7, 0, BarcoTipo.FRAGATA, "VERTICAL"),
      new Barco(8, 0, BarcoTipo.FRAGATA, "VERTICAL"),
    ]);
    this.mapaFlota.setBarcos(this.mapaAtaque.barcos);
  }
 
  draw() {
    this.mapaAtaque.draw();
    this.mapaFlota.draw();
  }
}
export default PartidaBattle;
